JNA API 3.2.7

## com.sun.jna.ptr
Class LongByReference

    java.lang.Object
      com.sun.jna.PointerType
          com.sun.jna.ptr.ByReference
              com.sun.jna.ptr.LongByReference

All Implemented Interfaces:
  NativeMapped

    public class LongByReference

extends ByReference

Constructor Summary
`LongByReference()`
`LongByReference(long value)`

Method Summary
`long` | `getValue()`
`void` | `setValue(long value)`

Methods inherited from class com.sun.jna.PointerType
`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LongByReference

    public LongByReference()

### LongByReference

    public LongByReference(long value)

Method Detail

### setValue

    public void setValue(long value)

### getValue

    public long getValue()

JNA API 3.2.7

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.